Subject: Re: [PATCH 3/5] net: mvneta: do not schedule in mvneta_tx_timeout

From: Willy Tarreau <[email-masked]>
Date: Sun, 12 Jan 2014 17:55:48 +0100

Hi Ben,

On Sun, Jan 12, 2014 at 04:49:51PM +0000, Ben Hutchings wrote:
(...)
> > So for now, let's simply ignore these timeouts generally caused by bugs
> > only.
> 
> No, don't ignore them.  Schedule a work item to reset the device.  (And
> remember to cancel it when stopping the device.)

OK I can try to do that. Could you recommend me one driver which does this
successfully so that I can see exactly what needs to be taken care of ?

Thanks,
Willy